<div class="notif page">
  <ng-container *ngFor="let notif of notifications$ | async">
    <div
      class="item"
      [routerLink]="notif.action !== 'follow' ? ['/post/', notif.notifiable_id] : ['/profile/', notif.sender.id]"
    >
      <i class="fa fa-star notif-icon star" *ngIf="notif.action == 'like'"></i>
      <i class="fa fa-comment notif-icon comment" *ngIf="notif.action == 'comment'"></i>
      <i class="fa fa-plus notif-icon follow" *ngIf="notif.action == 'follow'"></i>

      <div class="notif-thumbnail">
        <img [src]="notif.sender.image ? getImageUrl(notif.sender.image) : 'assets/images/no-image.png'" alt="" />
      </div>

      <div class="notif-content">
        <div class="message">{{ notif.sender.fname }} {{ notif.sender.lname }} {{ notif.message }}</div>
        <div class="date-ago">{{ notif.created_at | dateAgo }}</div>
      </div>
      <img
        class="post-thumbnail"
        *ngIf="(notif.notifiable.contents ? notif.notifiable.contents[0]?.type : '') === 'image'"
        [src]="getImageUrl(notif.notifiable.contents ? notif.notifiable.contents[0]?.content : '')"
        alt=""
      />

      <video
        class="post-thumbnail"
        *ngIf="(notif.notifiable.contents ? notif.notifiable.contents[0]?.type : '') === 'image'"
      >
        <source [src]="getImageUrl(notif.notifiable.contents ? notif.notifiable.contents[0]?.content : '')" />
      </video>

      <!-- <div class="post-thumbnail">
        <img src="assets/images/profile.png" alt="" />
      </div> -->
    </div>
  </ng-container>
</div>
